Skip to content
Start here

Get Domain History

intel.domain_history.get(DomainHistoryGetParams**kwargs) -> DomainHistoryGetResponse
GET/accounts/{account_id}/intel/domain-history

Gets historical security threat and content categories currently and previously assigned to a domain.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Intel WriteIntel Read
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
domain: Optional[str]
ReturnsExpand Collapse
Optional[List[DomainHistory]]
categorizations: Optional[List[Categorization]]
categories: Optional[List[CategorizationCategory]]
id: Optional[int]
name: Optional[str]
end: Optional[date]
formatdate
start: Optional[date]
formatdate
domain: Optional[str]

Get Domain History

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
domain_histories = client.intel.domain_history.get(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(domain_histories)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "categorizations": [
        {
          "categories": [
            {
              "id": 155,
              "name": "Technology"
            }
          ],
          "end": "2021-04-30",
          "start": "2021-04-01"
        }
      ],
      "domain": "cloudflare.com"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "categorizations": [
        {
          "categories": [
            {
              "id": 155,
              "name": "Technology"
            }
          ],
          "end": "2021-04-30",
          "start": "2021-04-01"
        }
      ],
      "domain": "cloudflare.com"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}